
Boolean Homeo::reducible() const
{
	Set<Name> H(theNameManager.edges());
	Set<Name> P(theNameManager.periphery());
	Set<Name> prePee(preP());
	H -= P;
	H -= prePee;
	IncidenceMatrix MH( H, theMap );
	return MH.reducible();
}
